#pragma once
#include <string>
#include "raylib.h" 
#include "config.h"

enum class Gamestate
{
    pause, game
};

class Game
{
    public :
        Game(); 
        void Init(int width, int height, std::string title); 
        ~Game() noexcept;

        bool GameShouldClose() const;

        void Tick();

    private: 
        void Draw(); 
        void Update();
        
        int x = 400;
        int y = 225; 
        int r = 50;  

        
    
};

